Long Term Service Release (LTSR)

Dec 16, 2016

Release date: January 11, 2016

Install and upgrade LTSR components

In order to be in compliance with XenApp and XenDesktop 7.6 Long Term Service Release (LTSR), you must upgrade the components of XenApp and XenDesktop 7.6 that are part of LTSR and part of your deployment to their LTSR versions. For example: If Provisioning Services is part of your deployment, you must upgrade the Provisioning Services component to its LTSR version. If Provisioning Services is not part of your deployment, you do not need to install or upgrade it.

Upgrading to the LTSR versions is mandatory for your deployment to qualify for the benefits under the LTSR terms.

In addition, Citrix also recommends specific versions of Citrix Receiver and other components. While not required for LTSR compliance, upgrading to the current versions of those components ensures further ease of maintenance and the availability of the latest fixes in your deployment.

Helpful links:

LTSR baseline components and mandatory versions

Note

The following information is specific to the LTSR base release. For the equivalent information for CU1 or CU2, see the respective documentation.

While it is not necessary for LTSR compliance to have each of the following components in your deployment, you must upgrade each component you do have in your deployment to the version indicated below. 

LTSR Baseline Components

Version

Notes

VDA for Desktop OS

7.6.300

Special rules apply for Windows 10. See Compatible components and platforms.

VDA for Server OS

7.6.300

 

Delivery Controller

7.6 Update 3

 

Citrix Studio

7.6 Update 3

 

Citrix Director

7.6.300

 

Group Policy Management Experience

7.6.300 (2.5)

 

StoreFront

3.0.1

 

Provisioning Services

7.6 Update 1

Special rules apply for Windows 10. See Compatible components and platforms.

Universal Print Server

7.6.300

Only Windows 2008 R2 SP1
Windows 2012
Windows 2012 R2 supported

Session Recording

7.6.100

Platinum Edition only

Compatible components and platforms

The following components are recommended for use in 7.6 LTSR environments. These components are not eligible for the LTSR benefits (extended lifecycle and fix-only cumulative updates). Citrix may ask you to upgrade to a newer version of these components within your 7.6 LTSR environments.

Note about Windows 10: Regular support for Windows 10 is available through the Current Release path. Windows 10 does not get the full set of 7.6 LTSR benefits. For deployments that include Windows 10 machines, Citrix recommends that you use Version 7.9 of the VDA for Desktop OS and of Provisioning Services.   

For more information, see Adding Windows 10 Compatibility to XenApp and XenDesktop 7.6 LTSR and the XenApp and XenDesktop Servicing Options (LTSR) FAQ.

LTSR Compatible Components and Platforms

Version

Profile Management

5.4

AppDNA

7.6.5

License Server

11.12.1

HDX RealTime Optimization Pack

2.0

Windows 10

VDA: Version 7.9
Provisioning Services: Version 7.9

Compatible versions of Citrix Receiver

For ease of maintenance, and to ensure optimal performance, Citrix recommends that you upgrade to the latest version of Citrix Receiver any time it becomes available. The latest versions are available for download at https://www.citrix.com/downloads/citrix-receiver.html. For your convenience, consider subscribing to the Citrix Receiver RSS feed to receive a notification when a new version of Citrix Receiver becomes available.

Note that Citrix Receiver is not eligible for the XenApp and XenDesktop LTSR benefits (extended lifecycle and fix-only cumulative updates). Citrix may ask you to upgrade to a newer version of Citrix Receiver within your 7.6 LTSR environments. In the case of Citrix Receiver for Windows, Citrix has announced a special LTSR program. More information on that program is available on the Lifecycle Milestones for Citrix Receiver page.

Specifically, LTSR supports the following versions of Citrix Receiver and all later versions:

LTSR Compatible Citrix Receivers

Version

Citrix Receiver for Windows

4.4 or later

Citrix Receiver for Linux

13.2.1 or later

Citrix Receiver for Mac

12.1 or later

Citrix Receiver for Chrome

1.8 or later

Citrix Receiver for HTML5

1.8 or later

Citrix Receiver for iOS

6.1.1 or later

Citrix Receiver for Android

3.8 or later

Notable exclusions

The following features, components, and platforms are not eligible for LTSR lifecycle milestones and benefits. Specifically, cumulative updates and extended lifecycle benefits are excluded. Updates to excluded features and components will be available through regular current releases.

Excluded Features

Local App Access

Framehawk

 

Excluded Components

Linux VDA

Personal vDisk

 

Excluded Windows Platforms*

Windows 2008 32-bit  (for Universal Print Server)

* Citrix reserves the right to update platform support based on third party vendors’ lifecycle milestones.

Upgrading to XenApp and XenDesktop 7.6 LTSR

You can upgrade to LTSR directly from XenApp and XenDesktop 7.6, and from any of the three 7.6 Feature Packs.

Download locations:

The good news: The LTSR versions of many components have been available for a while, mainly as part of Feature Pack 3. That means if you have upgraded your deployment to Feature Pack 3, many components are already LTSR compliant. In those cases, no further action is required on your part. Look for This version was first released in the sections of the various components below to find out whether you need to upgrade beyond Feature Pack 3.

A word of caution before you upgrade the Controller: Upgrading to the LTSR version of the Controller will modify one or more of the DbSchemas of your Site data store. These modifications are permanent and irreversible - you cannot revert those modifications automatically. So before you upgrade the Controller, be sure to read and understand the section on upgrading to the LTSR version of the Controller.

Virtual Delivery Agent (VDA) for Desktop OS 7.6.300

LTSR Version: VDA for Desktop OS 7.6.300

This version was first released: September 30, 2015 as part of Feature Pack 3 (VDAWorkstationSetup_7.6.300.exe)

System requirements

Fixed Issues

Installing/Upgrading

Download and run VDAWorkstationSetup_7.6.300.exe on the machine where you want install the VDA. Use either the graphical interface or the command line.

For more information, see Install VDAs using the standalone package.

Virtual Delivery Agent (VDA) for Server OS 7.6.300

LTSR Version: VDA for Server OS 7.6.300

This version was first released: September 30, 2015 as part of Feature Pack 3 (VDAServerSetup_7.6.300.exe)

System requirements

Fixed Issues

Installing/Upgrading

Download and run VDAServerSetup_7.6.300.exe on the machine where you want install the VDA. Use either the graphical interface or the command line.

The VDA for Windows Server OS installation automatically deploys Microsoft Visual C++ 2013 runtime (32-bit and 64-bit), as well as 2008 and 2010 runtimes (32-bit and 64-bit). Microsoft Visual C++ 2005 is no longer deployed. These pre-requisites will initiate a server restart, with the VDA installation continuing after the restart.

For more information, see Install VDAs using the standalone package.

Delivery Controller 7.6.3 (Controller Hotfixes Update 3)

LTSR version: Delivery Controller 7.6.3

This version was first released: November 12, 2015 as Delivery Controller 7.6.3 (Controller Hotfixes Update 3)

System requirements

Fixed issues (32-bit)

Fixed issues (64-bit)

Installing/Upgrading

If your Controller is at Version 7.6.3:

Version 7.6.3 (Controller Hotfixes Update 3) of the Controller is the LTSR version. If you have previously upgraded to Version 7.6.3, your Controller is LTSR compliant, you do not need to upgrade it, and you can skip to the Citrix Studio section. Important: Make sure that all components of Version 7.6.3 are installed; otherwise, your Controller might be left in an unstable state.

If your Controller is at Version 7.6, 7.6.1, or 7.6.2:

To be LTSR compliant, you need to upgrade your Controller to the LTSR version. To do this, download the LTSR version to your Controller and follow the upgrade instructions below.

Caution: Downgrades, also known as rollbacks, from individual Controller components are not supported and might leave your systems in an unstable state. The Controller components do not patch the existing installations - each fully replaces the original component with a new installation. As a result, uninstalling a component removes the entire component from the Controller. If the need arises to revert to an earlier version of the Controller, you must uninstall each component and then reinstall the earlier versions of each. Reverting to an earlier version of a component might result in the loss of settings you configure while this upgrade is installed.

Important: All components of the LTSR Version must be installed; otherwise, your Controller might be left in an unstable state.

If you are upgrading from the base (RTM) version of the 7.6 Controller, install all components of the LTSR Controller.

If you are upgrading from Delivery Controller 7.6.1 (Controller Hotfixes Update 1) or Delivery Controller 7.6.2 (Controller Hotfixes Update 2), install only the components that are new in the LTSR version compared to the earlier release you already installed. There is no need to install the individual components in a specific order.

  • To upgrade successfully, servers must not have registry modification restrictions in place.
  • For supplemental information about installing XenDesktop/XenApp 7.x Controller updates, see CTX201988.

Upgrading from Delivery Controller 7.6.2 (Controller Hotfixes Update 2)

Caution. By design, the Broker Service (BrokerSrvc760WX64003.msi) component modifies the Broker DbSchema of your Site data store. These modifications are permanent and irreversible. Should you decide, for any reason, to uninstall the Broker Service component at a later time, these modifications do not revert automatically. As a matter of precaution, Citrix recommends strongly that you back up your Site data store before installing the Broker Service component. Doing so allows you to manually restore your Site data store to the backed up version. Even so, any changes you make to your Site data store between backing up and restoring it are lost. For information about backing up and restoring data stores, see CTX135207. The DbSchema update succeeds only if at least one Site is created. If you have not yet created a Site, create at least one Site before installing this update. Otherwise, the install fails to update the existing DbSchema and you will need to rebuild your XenDesktop.

Note: After the upgrade to this release, a prompt appears for the License Server compatibility check in Citrix Studio that makes sure that your License Server is the required version. If you are using the License Server released with XenDesktop 7.6 or from a more recent version, you do not need to upgrade the License Server. Click Continue to proceed with the DBschema upgrade.

  1. Make sure to verify that you are upgrading from a 7.6.2 Controller. Otherwise, see Upgrading from Delivery Controller 7.6.1 or 7.6 below.
  2. Make sure that at least one Site exists.
  3. Back up your Site data store.
  4. Copy the release package to a shared folder on the network.
  5. Save the component msi file(s) on the Delivery Controller you want to update.
  6. Run the .msi files.
  7. Restart the Delivery Controller even if not prompted to do so.
  8. To upgrade to the latest DbSchema installed by this release, go to the Citrix Studio Dashboard and click Upgrade. 

Upgrading from Delivery Controller 7.6.1 or 7.6

Note. This section does not apply if you are upgrading from Version 7.6.2 of the Controller.

Caution. By design, both the Broker Service (BrokerSrvc760WX64003.msi) and the Host Service (HostSrvc760WX64003.msi) components modify the Broker and the Host DbSchemas, respectively, of your Site data store. These modifications are permanent and irreversible. Should you decide, for any reason, to uninstall the Broker Service or the Host Service component at a later time, these modifications do not revert automatically. As a matter of precaution, Citrix recommends strongly that you back up your Site data store before installing the Broker Service and the Host Service component. Doing so allows you to manually restore your Site data store to the backed up version. Even so, any changes you make to your Site data store between backing up and restoring it are lost. For information about backing up and restoring your data stores, see CTX135207. The DbSchema update succeeds only if at least one Site is created. If you have not yet created a Site, create at least one Site before installing this update. Otherwise, the install fails to update the existing DbSchema and you will need to rebuild your XenDesktop.

Note. After the upgrade to this release, a prompt appears for the License Server compatibility check in Citrix Studio that makes sure that your License Server is the required version. If you are using the License Server released with XenDesktop 7.6 or from a more recent version, you do not need to upgrade the License Server. Click Continue to proceed with the DBschema upgrade.

  1. Make sure that at least one Site exists.
  2. Back up your Site data store.
  3. Copy the release package to a shared folder on the network.
  4. Save the component msi file(s) on the Delivery Controller you want to update.
  5. Run the .msi files.
  6. Restart the Delivery Controller even if not prompted to do so.
  7. To upgrade to the latest DbSchema installed by this release, go to the Citrix Studio Dashboard and click Upgrade. 

Uninstalling Delivery Controller components(s) and reverting to earlier levels of the component(s) and the Site data store

  1. Uninstall the component(s) from ARP/Programs and Features.
  2. Restore the data store(s) as described in CTX135207.
  3. Install the desired level of the component(s) (base or later release).
  4. Restart the Controller even if not prompted to do so.

Citrix Studio 7.6 Update 3

LTSR Version: Citrix Studio 7.6 Update 3

This version was first released: October 29, 2015 as Hotfix DStudio760WX64003; Hotfix DStudio760WX86003

System requirements

Fixed Issues

Known Issues

If Citrix Studio is open during an upgrade, if you select the setting “Close the applications and attempt to restart them” on the Files in Use page of the installation wizard of this hotfix, the following message might appear: “Setup was unable to automatically close all requested applications. Please ensure that the applications holding files in use are closed before continuing with the installation.” If the message appears, you can safely close the message and click OK to continue with the installation.

Installing/Upgrading

Download the LTSR version of Citrix Studio and follow the installation instructions provided in CTX201572.

Citrix Director 7.6.300

LTSR version: Director 7.6.300

This version was first released: September 30 as part of Feature Pack 3 (Director_7.6.300.zip)

System requirements

Check that you have selected all the required features in IIS. For the full list, see CTX142260. Install the Citrix Group Policy Management component if you haven’t already done so.

Fixed issues

Installing/Upgrading

Download the LTSR version of Citrix Director to the server running Director and follow the instructions at Director.

Group Policy Management 7.6.300 (2.5)

LTSR version: Group Policy Management 7.6.300

This version was first released: September 30 as part of Feature Pack 3 (CitrixGroupPolicyManagement_7.6.300.zip)

System requirements:

Computers running Windows 7, Windows 8, Windows 8.1, Server 2008 R2, Server 2012, or Server 2012 R2

The new and enhanced HDX technologies features in the VDA are managed using the updated Group Policy Management package. Note: Once installed, this component shows as Version 2.5.0.0 in Programs & Features.

Installing/Upgrading

Citrix Group Policy Management needs to be installed on the system where Director is installed for enabling policies to be displayed on the User Details View. Download and install the LTSR version of Citrix Group Policy Management (Citrix Policy) on the server where Director is running.  Then launch Studio or GPMC and the new and updated policies are displayed.

For more information on the updated policies, see: Visual display policy settings for enhanced Thinwire compatibility mode; USB devices policy settings for support for signature devices and drawing tablets; and Flash redirection and Multimedia policy settings for video fallback prevention.

StoreFront 3.0.1

LTSR version: 3.0.1

This version was first released on September 30, 2015 as part of Feature Pack 3 (CitrixStoreFront-x64.exe)

System requirements

Fixed issues

Known issues

Installing/Upgrading

Download the LTSR version of StoreFront to the StoreFront server and follow the Upgrade instructions.

Provisioning Services 7.6 Update 1

LTSR version: Provisioning Services 7.6 Update 1 (Provisioning Services 7.6 Cumulative Update 1 for Server and Console); PVS760TargetDeviceWX64001.zip, PVS760TargetDeviceWX86001.zip

This version was first released: September 15, 2015 as PVS760ConsoleServerWX86001.zip; PVS760ConsoleServerWX64001.zip

Provisioning Services 7.6 Update 1 includes fixes for over 40 issues found in the base 7.6 version.

System requirements

Fixed issues

Installing/Upgrading

Download the LTSR version of Provisioning Services and follow the installation instructions in Installing Provisioning Services Console Software (Console), Installing Provisioning Services Server Software (Server), and CTX135746 (Target Devices).

Session Recording 7.6.100

LTSR version: 7.6.100

This version was first released on June 30, 2015 as part of Feature Pack 2 (SessionRecording7.6.100.zip)

Session Recording 7.6.100 as released as part of Feature Pack 2 includes the following new features and enhancements.

  • You can specify the connection credentials to the database when installing the Session Recording Database component.
  • You can test the connectivity of database during the installation of the Session Recording Database and Session Recording Server components and test the connectivity of the Session Recording Server during the installation of Session Recording Agent component.
  • Microsoft Shared Management Objects is no longer requirement for Session Recording Database installation.
  • Citrix Experience Improvement Program (CEIP) is integrated in Session Recording. For more information, see About the Citrix Customer Experience Improvement Program. Existing settings are retained during upgrade.

System requirements

Installing/Upgrading

Download the LTSR version and then follow the upgrade instructions.

Known issues with Session Recording 7.6.100 when used in an LTSR deployment:

  • Recordings of Microsoft Paint sessions do not play back correctly in the Session Recording Player. [#0604700]
  • An error occurs when you play back a session that was recorded on a multiple-monitor user device. [#0605129]

Universal Print Server 7.6.300

LTSR version: 7.6.300

This version was first released on September 30, 2015 as part of Feature Pack 3 (UpsServer_7.6.300.zip)

Note: Universal Print Server consists of both client and server components. The client component installs as part of the VDAs; therefore no client installation files are included in the LTSR version. On the server side, LTSR does not support Universal Print Server on 32-bit Windows operating systems; therefore, only the 64-bit server installer is included.

System requirements

Fixed issues

Installing/Upgrading

The Universal Print Server package contains updated versions of the standalone UPS server component (UpsServer_x64.msi) and the prerequisite vcredist_x64.exe, vcredist_x86.exe, and cdf_x64.msi files.

  1. Download the LTSR version to a Windows 2008 R2 SP1, Windows Server 2012, or Windows Server 2012 R2 print server.

  2. Install the prerequisite vcredist_x64.exe, vcredist_x86.exe, and cdf_x64.msi files.

  3. Install the Universal Print Server component, UpsServer_x64.msi.

  4. Restart the server after installing the Universal Print Server component.

The UPClient component is part of the VDA installation. As a result, you do not need to manually install the client component, and it is not included as a standalone component of the LTSR version.

For more information, see Provision printers

HDX Flash redirection

HDX Flash redirection offloads the processing of most Adobe Flash content (including animations, videos, and applications) to users’ LAN- and WAN-connected Windows devices, which reduces server and network load. This results in greater scalability while ensuring a high definition user experience.

The client-side components are installed as part of the Desktop and Server OS VDAs. As a result, upgrading to the LTSR versions of the VDAs upgrades your deployment to the latest version of HDX Flash redirection.

There are no server-side components to install. However, configuring Flash redirection requires both server-side and client-side settings. For information about configuring Flash redirection, see Flash Redirection. For the latest updates to HDX Flash compatibility, see CTX136588.